#/bin/bash
imgpath=''


#判断图片路径是否为空
# if [ -z "$imgpath" ]
# then
# 	imgpath=$1
# fi

# if [ -z "$imgpath" ]
# then
# 	echo 'The image path cannot be empty!'
# 	exit
# fi

function com_img(){
	find $1 -mmin -60 -size +$2 -name '*.png' -exec optipng -o3 {} \;
	find $1 -mmin -60 -size +$2 -name '*.bmp' -exec optipng -o3 {} \;

	find $1 -mmin -60 -size +$2 -name '*.jpg' -exec jpegoptim -m 60 {} \;
	find $1 -mmin -60 -size +$2 -name '*.jpeg' -exec jpegoptim -m 60 {} \;
}
function com_img_abstract(){
	find $1 -mmin -60 -size +$2 -name 'abstract*.png' -exec optipng -o5 {} \;
	find $1 -mmin -60 -size +$2 -name 'abstract*.bmp' -exec optipng -o5 {} \;

	find $1 -mmin -60 -size +$2 -name 'abstract*.jpg' -exec jpegoptim -m 50 {} \;
	find $1 -mmin -60 -size +$2 -name 'abstract*.jpeg' -exec jpegoptim -m 50 {} \;
}

# com_img $imgpath $min_size
# com_img_abstract $imgpath $min_size



export -f com_img

function compress(){
  echo $1
  com_img $1 '4k'
}

export -f compress

echo "`git diff --name-status HEAD~20 HEAD`" | grep ^A | grep -E "png|jpg|jpeg$" | awk '{for(i=2;i<=NF;++i) printf $i ;printf "\n"}' | xargs -I {} bash -c "compress {}"
if test -z "`git status | grep 'nothing to commit, working tree clean'`"
then
  git stash
  git checkout master
  git pull -r
  git stash pop
  git add -A
  echo 'added'
  git commit -am 'auto compress image'
  echo 'commited'
  git push git@git.gaorongvc.cn:lq/cmscenter.git
fi
